package lightJackson;

import java.io.IOException;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

import com.fasterxml.jackson.jr.ob.api.ValueReader;
import com.fasterxml.jackson.jr.ob.impl.JSONReader;
import com.fasterxml.jackson.jr.private_.JsonParser;

public class CustomDateTimeDeserializer extends ValueReader {
	private final static DateTimeFormatter dtf = DateTimeFormatter.ofPattern("yyyy-MM-dd'T'HH:mm:ss.SSSSSS'Z'");

	public CustomDateTimeDeserializer() {
		super(LocalDateTime.class);
	}

	@Override
	public Object read(JSONReader jsonReader, JsonParser jsonParser) throws IOException {
		return LocalDateTime.parse(jsonParser.getText(), dtf);
	}
}