package lightJackson;

import java.time.LocalDate;
import java.time.LocalDateTime;

import com.fasterxml.jackson.jr.ob.api.ReaderWriterProvider;
import com.fasterxml.jackson.jr.ob.api.ValueReader;
import com.fasterxml.jackson.jr.ob.api.ValueWriter;
import com.fasterxml.jackson.jr.ob.impl.JSONReader;
import com.fasterxml.jackson.jr.ob.impl.JSONWriter;

public class MyHandlerProvider extends ReaderWriterProvider {

	@Override
	public ValueReader findValueReader(JSONReader readContext, Class<?> type) {
		if (type.equals(LocalDate.class)) {
			return new CustomDateDeserializer();
		} else if (type.equals(LocalDateTime.class)) {
			return new CustomDateTimeDeserializer();
		}
		return null;
	}

	@Override
	public ValueWriter findValueWriter(JSONWriter writeContext, Class<?> type) {
		if (type == LocalDate.class) {
			return new CustomDateSerializer();
		} else if (type == LocalDateTime.class) {
			return new CustomDateTimeSerializer();
		}
		return null;
	}
}