package lightJackson.data;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;

public class Person implements Serializable {

	private static final long serialVersionUID = 5963349342478710542L;

	private int age;

	private LocalDate birthDate;

	private String email;

	@JsonIgnore
	private String ignoredElement;

	private LocalDateTime logTimeStamp;

	private String name;

	@JsonProperty("override_name")
	private String overrideName;

	public Person() {
		super();
	}

	public Person(String name, int age) {
		super();
		this.age = age;
		this.name = name;
	}

	public int getAge() {
		return age;
	}

	public LocalDate getBirthDate() {
		return birthDate;
	}

	public String getEmail() {
		return email;
	}

	public String getIgnoredElement() {
		return ignoredElement;
	}

	public LocalDateTime getLogTimeStamp() {
		return logTimeStamp;
	}

	public String getName() {
		return name;
	}

	public String getOverrideName() {
		return overrideName;
	}

	public void setAge(int age) {
		this.age = age;
	}

	public void setBirthDate(LocalDate birthDate) {
		this.birthDate = birthDate;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public void setIgnoredElement(String transitData) {
		this.ignoredElement = transitData;
	}

	public void setLogTimeStamp(LocalDateTime logTimeStamp) {
		this.logTimeStamp = logTimeStamp;
	}

	public void setName(String name) {
		this.name = name;
	}

	public void setOverrideName(String overrideName) {
		this.overrideName = overrideName;
	}

}
